
* USING DICTIONARY TABLES;


* write to LOG ... VARIABLES in DICTIONARY.DICTIONARIES;
proc sql;
describe table dictionary.dictionaries;
quit;

title 'ALL DICTIONARY TABLE NAMES';
proc sql;
select distinct memname
from dictionary.dictionaries;
quit; 


* write to LOG ... VARIABLES in DICTIONARY.TABLES;
proc sql;
describe table dictionary.tables;
quit;

* uses of DICTIONARY.TABLES;
title 'All Data Sets in Library SASHELP That Contain 100+ Observations';
proc sql;
select memname, nobs
from dictionary.tables
where libname='SASHELP' and memtype='DATA' and nobs ge 100;
quit;

proc print data=sashelp.vtable;
var memname nobs;
where libname='SASHELP' and memtype='DATA' and nobs ge 100;
run;


* write to LOG ... variables in DICTIONARY.COLUMNS;
proc sql;
describe table dictionary.columns;
quit;

* uses of DICTIONARY.COLUMNS;
title 'All Data Sets in Library SASHELP That Contain Variables Age or Sex';
proc sql;
select memname, name
from dictionary.columns
where upcase(name) in ('AGE' 'SEX') and libname='SASHELP';
quit;

proc print data=sashelp.vcolumn;
var memname name;
where upcase(name) in ('AGE' 'SEX') and libname='SASHELP';
run;

title 'Variables in Data Set CLASS in Library SASHELP';
proc sql;
select name 
from dictionary.columns
where libname='SASHELP' and memname='CLASS';
quit;

title 'Variables in Data Set HEART in Library SASHELP';
proc sql;
select name, label
from dictionary.columns
where libname='SASHELP' and memname='HEART';
quit;

